













				      Compufile
			  Business and Personal File System




					  by



				    Shar Feldheim


			   Copyright (c) 1987 Shar Feldheim






			    Disk-Count Software Inc.
			    P.O. Box 40354
			    St. Paul, MN  55104


     This software is licensed only to the original buyer. The
     original buyer may copy the program for personal or archival
     purposes only. No other copying or distribution of the diskette
     or the documentation is permitted under this agreement. Resale
     of the program or its documentation is expressly prohibited.



  ---------------------------------------------------------------------
  TABLE OF CONTENTS
  ---------------------------------------------------------------------
  Overview . . . . . . . . . . . . . . . . . . . . . . . . . . .  1
  What You Need  . . . . . . . . . . . . . . . . . . . . . . . .  2
	Hardware . . . . . . . . . . . . . . . . . . . . . . . .  2
	Software . . . . . . . . . . . . . . . . . . . . . . . .  2
  Set Up . . . . . . . . . . . . . . . . . . . . . . . . . . . .  3
	One Floppy Drive . . . . . . . . . . . . . . . . . . . .  4
	Two Floppy Drives  . . . . . . . . . . . . . . . . . . .  5
	Hard Disk Drive . . . . . . . . . . . . . . . . . . . . . 5
  Start Up . . . . . . . . . . . . . . . . . . . . . . . . . . .  6
  Using the Program  . . . . . . . . . . . . . . . . . . . . . .  7
	Main Menu  . . . . . . . . . . . . . . . . . . . . . . .  7
	Get On-Line Help . . . . . . . . . . . . . . . . . . . .  8
	Create a File  . . . . . . . . . . . . . . . . . . . . .  8
	Select a File  . . . . . . . . . . . . . . . . . . . . .  9
	Add Records  . . . . . . . . . . . . . . . . . . . . . . 10
	Edit Records . . . . . . . . . . . . . . . . . . . . . . 11
	Find a Record  . . . . . . . . . . . . . . . . . . . . . 11
	Select a Printer . . . . . . . . . . . . . . . . . . . . 12
	Print Records  . . . . . . . . . . . . . . . . . . . . . 12
	Export Files for Word Processor  . . . . . . . . . . . . 13
	Quit the Program   . . . . . . . . . . . . . . . . . . . 13
  Index  . . . . . . . . . . . . . . . . . . . . . . . . . . . . 14




  ---------------------------------------------------------------------
  OVERVIEW:							 page 1
  ---------------------------------------------------------------------

  The Business and Personal File System is designed to help you
  organize your basic records for mailings.  You can enter your
  records in any order. Later, you can print out the information,
  organized as you want it, in any of four formats (page, rotary file
  card, index card, or two sizes of address labels).

  Every record has several parts called fields or entry areas. For
  example, the record for Smith Hardware would have the fields for NAME
  (Robert Smith), ADDRESS (544 Main Street) and ZIPCODE (54321). Each field
  can be used for organizing your records. For example when you
  want mailing labels, you can organize on the ZIPCODE field (some
  USPS mailings require zipcode organizing or sorting). When you want
  to create advertising flyers, you can organize by NAME.

  One additional field called CODE lets you devise your own
  organization of the records. For example, you may use it for a
  department code, the person's birthday, or the last few letters of
  the person's name.

  You must have a printer to use this program.

  This manual provides instructions for each of the steps to
  creating and using your records. Check the list of hardware and
  software in What You Need. See the Set Up section for instructions on
  how to make a copy of your disk, install your program on various
  hardware, and make a working program disk. See the Start Up section
  for how to get to the main menu. Using the Program describes the main
  menu and tells how to use the program options for all the activities
  you will perform. There is an index at the end.

  Several words have special meaning throughout this manual. The word
  "file" means an area on the disk that functions like a file
  drawer. The word "record" refers to one folder or the information on
  one customer. The word "field" or "entry area" means one blank space
  on a record form.



  ---------------------------------------------------------------------
  WHAT YOU NEED 						 page 2
  ---------------------------------------------------------------------

  Read through the following lists to make sure you have the correct
  hardware and software.

  Hardware:
  --------
  You need the following equipment:

  -  An IBM PC, XT, AT, or compatible computer with a minimum of 256K
     of memory.

  -  At least one floppy disk drive.

  -  Printer.  This is an optional item for some programs in the
     Compufile Series, but you must have a printer to use this program.

  Software:
  --------
  -  At least two blank disks. We recommend that you make a copy of your
     program disk to install and then make a working copy.  Keep your
     original program disk in a safe place.

  -  Version 2.0 of DOS (Disk Operating System) or one with a higher
     number.



  ---------------------------------------------------------------------
  SET UP							 page 3
  ---------------------------------------------------------------------

  Before you do anything else, make a backup copy of your original
  program disk. Follow the instructions in your DOS manual for the
  DISKCOPY (for IBM PC-DOS users) or COPYDISK (for MS-DOS users)
  command.

  You can install the program on another floppy disk or a hard disk
  using the original diskette. However, its always a good idea to make
  a backup copy of the original disk and use the backup copy. Then
  place the original program disk in a safe place and use the copy
  as you make a working program disk.

  Floppy disk drive users will first have to format a new disk and then
  copy needed files onto it from the newly copied program disk.

  When you are ready to set up your program, follow these instructions:

     1. Insert your DOS disk in Drive A and turn on the computer.

     2. At the A: prompt, insert your copy of the program disk in Drive
	A and type README.

  This menu displays at the bottom of the screen:

  ---------------------------------------------------------------------
     Setup   On-Screen	  Printed    Features	 DiskCount   Quit
  ---------------------------------------------------------------------

  The option you will select is Setup. (The On-Screen option prints
  this manual on screen for you to read pressing [Ctrl] + S to
  freeze the screen, any key to restart and [Ctrl] + [Break] to stop
  viewing. Printed sends a copy of this manual to your printer. Features
  describes some of the highlights of the program. DiskCount tells you
  more about the company. Quit, of course, returns you to the DOS
  prompt.)

  Use the Setup option as follows:

     1. Type S from the README menu to select Setup.

     2. Select the appropriate option for your hardware by typing the
	letter:

	F - to format a disk for one or two-floppy drive systems

	    then A to copy files with one-floppy drive
	    or B to copy files with two floppy drives

	C - to create a subdirectory on your hard disk and read the
	    needed program files onto it.

	H - to read information about installation.



  ---------------------------------------------------------------------
  SET UP (cont.)						 page 4
  ---------------------------------------------------------------------

  When you type F to Format a disk, instructions tell you to:

	1. Put your DOS disk in Drive A and type:

	     FORMAT B:/S

	2. Follow instructions to place disk to be formatted (new disk)
	   in Drive B. (On a single drive system, check your manual).

	3. Respond N when asked if you want to format another disk and
	   press ENTER.

	4. Insert your original disk in Drive A again and type README and
	   then type S again to return to the Setup options.

  One Floppy Drive:

  After formatting a new disk, type A from the Setup instructions to
  prepare for a one-disk system. Remove any write-protect tabs
  from your DOS and program disks. Follow these instructions to copy
  one file from the program disk to the DOS disk, another file from
  program disk to DOS disk and then all the needed files to the newly
  formatted disk.

	1. Leaving program disk in Drive A, type:

	      COPY CONFIG.SYS B: (Press ENTER.)

	   Insert your DOS disk when target disk is requested.
	   (This file must be copied from the program disk to the DOS
	   disk for the program to work correctly. It will not harm
	   your DOS or affect its use with other programs.)

	2. Leave your DOS disk in Drive A and type:

	      COPY *.SYS B:

	   Insert your formatted disk in the drive when target disk is
	   requested.

	3. With the program disk in Drive A, type:

	      COPY AUTO*.BAT B:
	      COPY COMP*.* B:

	   Follow instructions to insert first one and then another
	   disk until all files are copied. The source disk is your
	   program disk; the target disk is your formatted disk.

	You return to the A: prompt. Your newly formatted diskette will
	boot your system. Read the Start Up Program section on page 6.


  ---------------------------------------------------------------------
  SET UP (cont.)						 page 5
  ---------------------------------------------------------------------
  Two floppy drives:

  After formatting a new disk, type B from the Setup options to
  prepare for a two-disk system. Remove any write-protect tabs
  from your DOS and program disks. Follow these instructions to copy
  one file from the program disk to the DOS disk, another file from
  program disk to DOS disk and then all the needed files to the newly
  formatted disk.

	1. Place your DOS disk in Drive B and your program disk in
	   Drive A and follow instructions. After one file is copied,
	   you will remove the DOS disk and place the formatted disk
	   in Drive B and press ENTER.	All the files you need are
	   copied onto the disk in Drive B.

	2. Place the program disk in a safe place and use the new disk.

  You must restart the computer to read in the new files on the program
  disk. Follow instructions in the Start Up Program section.

  Hard Disk Drive:

  Just enter the Setup option, type C and continue. The program creates
  a subdirectory named FILE and writes all the necessary
  files from the program disk in Drive A to the new subdirectory. When
  it is finished, it returns to the A: prompt and tells you to type
  this command to start the program: C:\FILE\COMPUFIL. It means...

    C:CD\FILE  (Press ENTER)   [change to FILE subdirectory]
    C:COMPUFIL (Press ENTER)   [start the program]

  The command CD\FILE takes you to your FILE subdirectory.
  COMPUFIL is the startup command. You see the Main Menu described in
  Using the Program.



  ---------------------------------------------------------------------
  START UP							 page 6
  ---------------------------------------------------------------------

  Your working program disk has the necessary DOS files to start the
  computer. Just insert it in Drive A and turn on the computer. You
  will be prompted for date and time. When you have entered both, you
  see the Main Menu for Business and Personal File System.

  You must restart the computer if you have just copied your files
  onto the working program disk so that the correct DOS files are
  read into active memory when you start.

  Later, to start the program from an A: prompt, just type:

       COMPUFIL  (Press ENTER)

  If you are using a hard disk, change to the FILE subdirectory
  and type the startup command as described in SETUP:

       C:CD\FILE
       C:COMPUFIL




  ---------------------------------------------------------------------
  USING THE PROGRAM						 page 7
  ---------------------------------------------------------------------

  The following pages describe the Main Menu and then tell how to use
  each option in the program.

  The first time you use the program, you create a file to store new
  records using the Create option. Then you select a file using the
  fiLe option and add records using Add. Before you use the Report
  option to print any records, be sure to use the Printer option to
  tell the program which printer you are using.

  Main Menu:
  ---------

  The Main Menu appears on the top three lines of your screen.

  The first line is the Status Line.  It offers this information:

	    Compufile/BP	(the name of the program)
	    September 9, 1987	(the current date)
	    11:45:30		(the current time - 24 hour clock)
	    d:<filename>.fil	(the letter of the drive and the name
				 of the file you are currently using
				 with the .fil extension assigned by
				 the program.)

  The second line is the Command Line with its list of options. These
  Main Menu options appear in the line:
  ___________________________________________________________________
  Help	Find  Edit  Add  Printer  Report  eXport  Create  fiLe	Quit
  ___________________________________________________________________

  First press the spacebar or the left or right arrow key to stop the
  clock. Then you can select a menu option as described next. There
  are two ways to choose an option:

  -  Type the letter in the command that is capitalized (for example,
     H for Help, E for Edit, X for eXport, and L for fiLe).

  -  With the NUM LOCK key on, use the left and right arrow keys on the
     number pad to move the bright bar to the option of your choice and
     press ENTER.

  The third line is the Description Line. It briefly describes what
  that option will do.	When you first use the program, you may want
  to move the bar to each option and read a brief description of what
  it does.  For a more complete description, use the Help option
  described next.


  ---------------------------------------------------------------------
  USING THE PROGRAM (cont.)					 page 8
  ---------------------------------------------------------------------

  Get On-Line Help:
  ----------------

  To read about any of the options, select Help by typing H or moving
  the bright bar to that option and pressing ENTER. Then in the small
  box, type the capitalized letter of another menu option that you want
  explained and press ENTER.

  After you read the one screen of explanation and press ENTER, you
  return to the Main Menu.

  Create a File:
  -------------

  You need a file drawer to store all your records. You might want
  one drawer of active customers and another drawer of potential
  customers.

  The option to Create makes a file on whatever disk drive you specify.
  Type C and press ENTER or move the bright bar to Create and press
  ENTER to select this option from the Main Menu.

  Each time you start the program, a file named COMPUTER.FIL is
  automatically opened as shown in the status line at the top of the
  screen. You can add records to that file or create your own file by
  naming it with the Create option.

  To create a file, type the letter of the drive (A, B, or C, for
  example) on which the file will be written. (The cursor jumps over
  the colon, so you do not type it.) Then type the file name of up to
  eight characters (the first character cannot be a number) for the
  file and press ENTER.

  The program automatically adds a .FIL extension to the filename.
  For example, if you type AFIRST for your first group of records,
  (skipping over the colon), the file name you create on
  the A drive will be FIRST.FIL.

  When you later select the file, you must type the drive and the name.
  You do not type the extension.

  The file name you type must be different from all others on the disk
  drive. The program warns you if a file of that name already exists on
  the drive.

  After you create a file, it is automatically open and ready to use as
  indicated on the top line of the screen. You can change files by
  selecting the fiLe option.


  ---------------------------------------------------------------------
  USING THE PROGRAM (cont.)					 page 9
  ---------------------------------------------------------------------

  Select a File:
  -------------

  Type L to use the fiLe option to select a different file that you
  have created. This option is like pulling a file from your file
  drawer.

  You see an entry area for a disk drive and a file name. Type the
  letter for the disk drive (A, B, or C) with the file. The program
  skips over the (:) automatically, so do not type the colon. Then
  type the name you gave the file when you created it. (Do not type
  the FIL extension.)

  If you forget the name of the file, type only the drive letter and
  press ENTER to see a directory of available files. Press ENTER
  again to see the entry area for the file name, and enter a name on
  the directory. If you have more than one drive, you can change disks
  in the drive that does not contain the program disk and display
  more file names.

  Add Records:
  -----------

  When you first use the program, you need to enter the names and
  other information for all your customers or contacts. Adding records
  is like writing information on forms and placing them in folders in
  your file drawer. You place the records in alphabetic or some other
  order and insert more records as you update the files.

  Select the option to Add records and use it to place all your records
  into the selected file. You see a form on screen to fill out with the
  information for one record. Complete as many of the entry areas as
  you wish. Just press ENTER to leave an area blank, but remember that
  if you organize your records by that field, the blank records will be
  at the front of the printing line.


  ---------------------------------------------------------------------
  USING THE PROGRAM (cont.)					page 10
  ---------------------------------------------------------------------

  The first line has the record number assigned in sequence by the
  program. You see these entry areas:

     Name: Type the name of the person in first name, last name order
	   (John Smith) and press ENTER.

     Company: Type the name of the company the person works for
	   if this entry area is relevant to your records (for
	   example, Smith Hardware) and press ENTER.

     Address: Type the street address or box number as you want it to
	   appear on mailing labels or reports amd press ENTER.

     City: Type the name of the city and press ENTER.

     State: Type the two digit postal abbreviation for the state and
	    press ENTER. The letters you type in this entry area will
	    always appear in capital letters.

     ZipCode: Type the five numbers of the zip code and press ENTER.

     Telephone: Type just the area code and seven digits of the
	    telephone number and press ENTER. The slash and hyphen
	    are supplied by the program.

     Customer Code: Type any combination of letters and numbers that
	    you might want to use to sort records for later printing
	    and press ENTER. You could enter the name of an
	    organization, the date of the person's birthday, or any
	    other information.

  When you press ENTER to accept the new record, it is marked as
  edited or unprinted so that you can use Report to print only the
  newly created or changed records.

  When you again select Add from the Main Menu, you see the latest
  record you added. Press ENTER to get a blank screen for adding
  another record. If you accidentally create a blank record, use Edit
  to fill in the record.

  Use these options when the cursor is at the bottom of the Add screen:

     Y - To accept record as is and add another
     N - To return to Main Menu without adding more records

  After you have added your records, you can use Edit to change
  individual ones or use Find to locate one quickly.


  ---------------------------------------------------------------------
  USING THE PROGRAM (cont.)					page 11
  ---------------------------------------------------------------------

  Edit Records:
  ------------

  One of the great things about computers is how easily you can change
  records you created on them without using any white liquid or eraser.
  You can change a record by using the spacebar to remove unwanted
  characters or by overtyping existing letters and number with new
  ones.

  Select Edit from the Main Menu to change one or more records.
  Any records you change are marked as edited or unprinted so that you
  can print just the new and changed records if you wish.

  You may use the Find option also to locate a record by any entry
  area. The Edit option is most useful when you know the number of the
  record you want to change.

  You can use these options on the Edit screen:

     M - To return to the Main Menu.
     P - To go back to the Previous record (Or, if first, displays same
	 record).
     N - To go to the Next record (If last, you receive an end of file
	 message).
     E - To change or Edit whatever record is displayed.
     G - To Go to a record whose number you type. Then you can edit it.
     ? - To get a help screen that lists your options.

  When you enter E to edit the record, you go to the first entry area
  and can retype the item or press ENTER to accept it as it is. When
  you press ENTER on the last entry area, you can type Y to accept the
  record as it now reads or N to change it again.

  If you have the record number on your printed file card, you can use
  Go to locate the record for editing. If not, you can use the Find
  option.

  Find a Record:
  -------------

  The Find option helps you pull out the right record easily and
  quickly. Select Find from the Main Menu and you see a screen offering
  all the entry areas on the Add screen with numbers in front of each
  area. You select the area to search by typing a number from one
  through eight to select an area or zero to quit. Press ENTER and you
  see a prompt for an expression or string to find.

  Type the letters or numbers you want to find. For example, if you
  type 1 for Name, you can find all the records with the last name of
  Smith by pressing the spacebar, typing SMITH, and pressing ENTER. The
  search can start from any space in the entry and find an exact match
  for either the full string or a partial expression.

  You can find all the zip codes that begin with 58 by entering the
  number for ZipCode and typing 58 for the expression.


  ---------------------------------------------------------------------
  USING THE PROGRAM (cont.)					page 12
  ---------------------------------------------------------------------

  When a matching record is found, you can type:

     N - To search for another record with the same expression or
	 string.
     Y - To edit the displayed record.
     Q - To quit and return to the Main Menu.

  When no record is found, you return to the Main Menu.

  Select a Printer:
  ----------------

  The program has built in formats within the report option but the
  formats must be adjusted to match the type of printer you are using.
  Select this option only once before you first print records, select
  your printer type, and you can forget this option unless you change
  printers.

  When you select Printer from the Main Menu, you see a list of
  printers for which instructions are available. Type the letter in
  front of the name of your printer and press ENTER to select that
  printer and store the name in your program.

  If your printer is not listed, try any of the list until you find one
  that works. Epson is a good starting point.

  If you are very familiar with printers and have your printer manual
  available, you can use the (S)pecial option to set up a custom
  printer.

  Print Records:
  -------------

  Select the Report option whenever you want to send some of your
  records to the printer. You can select one of three formats for your
  output:

     Labels - Print sheets of mailing labels (either 1" by 4" or 1" by 3")
     Reports - Print on standard paper
     File Cards - Print on 3 by 5 index cards or rotary cards

  You select the option and the program organizes the record for the
  printing. Whichever category you choose, you see additional options
  for formatting and printing.

  When you chose to print file cards, you have a choice of printing All
  or just the Edited records. If you choose Edited records, all the new
  and changed records marked as unprinted will be sent to the printer.
  If you choose All, old and new records will all go to the printer.

  You have a test option to help you align the labels or file cards
  for correct printing. For reports on standard paper, align the printing
  head to the top of the paper (or the perforation) before you start.


  ---------------------------------------------------------------------
  USING THE PROGRAM (cont.)					page 13
  ---------------------------------------------------------------------

  Export Files for Word Processor:
  -------------------------------

  The eXport command lets you write out an existing file into a
  file type that may be used by word processing programs or a text
  editor. The file that it creates always has the file name
  extension of .TXT. You may specify a different drive to receive
  the file.

  You can select from two types of output: Standard Data Format or
  Delimited Format. A Delimited Format does not print the trailing
  spaces in each entry field. You can enter your own delimiting
  character such as a comma, quotation mark, or bracket. If you do not
  enter a delimiter, a comma will be used to separate the entry areas.

  Standard Data Format retains all the extra spaces in the entry areas.
  Each of the items appears in a neat column format.

  Many data base management programs can read either of these formats
  directly. The Name, Company, Address, City, State, and ZipCode
  items will be send to the file. The telephone and special code fields
  are not written out to the file by the eXport command.

  Quit the Program:
  ----------------

  When you are ready to return to the operating system and end the
  program, type Q for the Quit option. You must exit from the program
  by typing Q to maintain your files accurately.



  ---------------------------------------------------------------------
   INDEX							page 14
  ---------------------------------------------------------------------
  Add records 9, 10

  Back up copy 3
  Boot program 5, 6

  Code 10
  CONFIG.SYS 4
  COPYDISK 3
  Create a file 8

  DISKCOPY 3
  DOS 2, 3, 4, 5

  Edit record 11
  Edited records only 10, 11, 12
  Exit 13
  eXport 13

  fiLe 9
  File name 8, 13
  Find 11
  FORMAT 4

  Hard Disk 5
  Hardware 2
  Help 8

  Installation
    Floppy disk 4, 5
    Hard disk 5

  Menu options 7

  NUM LOCK 7

  Organization of Manual 1

  Print records 12
  Printer 1, 2, 12

  Quit 12

  Report 12

  Select options 7
  Select printer 12
  Software 2
  Start 5, 6
  Subdirectory 5

  Word processor 13
  Working copy 4, 5
